Security Enhanced Linux Reference Policy

# Layer: services

## Module: lpd

Tunables Interfaces

### Description:

Line printer daemon.

### Tunables:

use_lpd_server

##### Default value

false

##### Description

Determine whether to support lpd server.

Return

### Interfaces:

lpd_domtrans_checkpc( domain )

##### Summary

Execute lpd in the lpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lpd_domtrans_lpr( domain )

##### Summary

Transition to a user lpr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lpd_exec_lpr( domain )

##### Summary

Execute lpr in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_list_spool( domain )

##### Summary

List printer spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_manage_spool( domain )

##### Summary

Create, read, write, and delete printer spool content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_read_config( domain )

##### Summary

Read printer configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_read_spool( domain )

##### Summary

Read printer spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_relabel_spool( domain )

##### Summary

Relabel spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_role( role , domain )

##### Summary

Role access for lpd.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

lpd_run_checkpc( domain , role )

##### Summary

Execute amrecover in the lpd domain, and allow the specified role the lpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

lpd_run_lpr( domain , role )

##### Summary

Execute lpr in the lpr domain, and allow the specified role the lpr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return